# DXGfxLib.IInputHandler Interface Reference

Inherited by DXGfxLib.PointAndClickHandler, and DXGfxLib.PointAndClickHandler.

List of all members.

## Public Member Functions
void | OnKeyDown (System.Windows.Forms.KeyEventArgs e)
void | OnKeyPress (System.Windows.Forms.KeyEventArgs e)
void | OnKeyUp (System.Windows.Forms.KeyEventArgs e)
void | OnMouseClick (System.Windows.Forms.MouseEventArgs e)
void | OnMouseDoubleClick (System.Windows.Forms.MouseEventArgs e)
void | OnMouseDown (System.Windows.Forms.MouseEventArgs e)
void | OnMouseMove (System.Windows.Forms.MouseEventArgs e)
void | OnMouseUp (System.Windows.Forms.MouseEventArgs e)
void | OnMouseWheel (System.Windows.Forms.MouseEventArgs e)
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
void | WndProc (ref System.Windows.Forms.Message m)
IntPtr | OnMsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
void | FrameMove (float elapsedTime)
void | OnKeyDown (System.Windows.Forms.KeyEventArgs e)
void | OnKeyPress (System.Windows.Forms.KeyEventArgs e)
void | OnKeyUp (System.Windows.Forms.KeyEventArgs e)
void | OnMouseClick (System.Windows.Forms.MouseEventArgs e)
void | OnMouseDoubleClick (System.Windows.Forms.MouseEventArgs e)
void | OnMouseDown (System.Windows.Forms.MouseEventArgs e)
void | OnMouseMove (System.Windows.Forms.MouseEventArgs e)
void | OnMouseUp (System.Windows.Forms.MouseEventArgs e)
void | OnMouseWheel (System.Windows.Forms.MouseEventArgs e)
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
void | WndProc (ref System.Windows.Forms.Message m)
IntPtr | OnMsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
void | FrameMove (float elapsedTime)
## Properties
Avatar | CurrentAvatar`[get, set]`

## Detailed Description

Definition at line 8 of file IInputHandler.cs.

## Member Function Documentation

void DXGfxLib.IInputHandler.FrameMove | ( | float | elapsedTime | ) |

Implemented in DXGfxLib.PointAndClickHandler, and DXGfxLib.PointAndClickHandler.

void DXGfxLib.IInputHandler.FrameMove | ( | float | elapsedTime | ) |

Implemented in DXGfxLib.PointAndClickHandler, and DXGfxLib.PointAndClickHandler.

bool DXGfxLib.IInputHandler.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Implemented in DXGfxLib.PointAndClickHandler, and DXGfxLib.PointAndClickHandler.

bool DXGfxLib.IInputHandler.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Implemented in DXGfxLib.PointAndClickHandler, and DXGfxLib.PointAndClickHandler.

void DXGfxLib.IInputHandler.OnKeyDown | ( | System.Windows.Forms.KeyEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnKeyDown | ( | System.Windows.Forms.KeyEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnKeyPress | ( | System.Windows.Forms.KeyEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnKeyPress | ( | System.Windows.Forms.KeyEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnKeyUp | ( | System.Windows.Forms.KeyEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnKeyUp | ( | System.Windows.Forms.KeyEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseClick | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseClick | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseDoubleClick | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseDoubleClick | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseDown | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseDown | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseMove | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseMove | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseUp | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseUp | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseWheel | ( | System.Windows.Forms.MouseEventArgs | e | ) |

void DXGfxLib.IInputHandler.OnMouseWheel | ( | System.Windows.Forms.MouseEventArgs | e | ) |

IntPtr DXGfxLib.IInputHandler.OnMsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Implemented in DXGfxLib.PointAndClickHandler, and DXGfxLib.PointAndClickHandler.

IntPtr DXGfxLib.IInputHandler.OnMsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Implemented in DXGfxLib.PointAndClickHandler, and DXGfxLib.PointAndClickHandler.

void DXGfxLib.IInputHandler.WndProc | ( | ref System.Windows.Forms.Message | m | ) |

void DXGfxLib.IInputHandler.WndProc | ( | ref System.Windows.Forms.Message | m | ) |

## Property Documentation

Avatar DXGfxLib.IInputHandler::CurrentAvatar`[get, set]`

Implemented in DXGfxLib.PointAndClickHandler.

Definition at line 10 of file IInputHandler.cs.

The documentation for this interface was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/IInputHandler.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/IInputHandler.cs